import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, BaseFragment as $64$luvio_engine_BaseFragment, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "936f1f8f00fb53065758d5f44d534bda";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: DataObjectFieldRepresentation, existing: DataObjectFieldRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): DataObjectFieldRepresentationNormalized;
export declare const select: () => $64$luvio_engine_BaseFragment;
export declare function equals(existing: DataObjectFieldRepresentationNormalized, incoming: DataObjectFieldRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: DataObjectFieldRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Data Object Field
 *
 * Keys:
 *    (none)
 */
export interface DataObjectFieldRepresentationNormalized {
    /** Is Primary Key */
    isPrimaryKey: boolean;
    /** Key Qualifier Field */
    keyQualifierField: string;
    /** Label */
    label: string;
    /** Name */
    name: string;
    /** Type */
    type: string;
}
/**
 * Data Object Field
 *
 * Keys:
 *    (none)
 */
export interface DataObjectFieldRepresentation {
    isPrimaryKey: boolean;
    keyQualifierField: string;
    label: string;
    name: string;
    type: string;
}
