import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, BaseFragment as $64$luvio_engine_BaseFragment, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "bca8236daa5bb5580390d829c9789904";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: TransformValidationIssueRepresentation, existing: TransformValidationIssueRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): TransformValidationIssueRepresentationNormalized;
export declare const select: () => $64$luvio_engine_BaseFragment;
export declare function equals(existing: TransformValidationIssueRepresentationNormalized, incoming: TransformValidationIssueRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: TransformValidationIssueRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Data transform validation issue representation
 *
 * Keys:
 *    (none)
 */
export interface TransformValidationIssueRepresentationNormalized {
    /** Error code */
    errorCode?: string;
    /** Error message */
    errorMessage?: string;
    /** Error severity */
    errorSeverity: string;
}
/**
 * Data transform validation issue representation
 *
 * Keys:
 *    (none)
 */
export interface TransformValidationIssueRepresentation {
    errorCode?: string;
    errorMessage?: string;
    errorSeverity: string;
}
