import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "efb82c29d2d2d9ec860406b7caae554d";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: CdpUserRepresentation, existing: CdpUserRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): CdpUserRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: CdpUserRepresentationNormalized, incoming: CdpUserRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: CdpUserRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Represents a user
 *
 * Keys:
 *    (none)
 */
export interface CdpUserRepresentationNormalized {
    /** The 18 character user ID */
    id: string;
    /** The name of the user */
    name?: string;
    /** The Chatter profile photo of the user */
    profilePhotoUrl?: string;
}
/**
 * Represents a user
 *
 * Keys:
 *    (none)
 */
export interface CdpUserRepresentation {
    id: string;
    name?: string;
    profilePhotoUrl?: string;
}
